Bug 66816 - Mozilla interprets /etc/mailcap incorrectly
Summary: Mozilla interprets /etc/mailcap incorrectly
Status: CLOSED UPSTREAM
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: mozilla (Show other bugs)
(Show other bugs)
Version: 8.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Christopher Blizzard
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords: Security
Depends On:
Blocks: 67218 79579
TreeView+ depends on / blocked
 
Reported: 2002-06-17 11:09 UTC by Göran Uddeborg
Modified: 2007-04-18 16:43 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-04-23 12:46:00 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Göran Uddeborg 2002-06-17 11:09:30 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020528

Description of problem:
When using a entry from /etc/mailcap, Mozilla apparently only uses the command
name, and ignores the rest of the command line.

Version-Release number of selected component (if applicable):0.9.9-13


How reproducible:
Always

Steps to Reproduce:
1.Add an entry "image/x-xwindowdump; xwud -in %s" in /etc/mailcap
  assuming no other configuration for this content-type.
2.Point mozilla to a file with an .xwd suffix.


Actual Results:  Mozilla first asks if it should use xwud to display this file.
 If accepted, another window is quickly flashed, and then gone.

Expected Results:  A new xwud window with the contents of the xwd file.

Additional info:

Apparently, Mozilla invokes "xwud <file>" omitting the "-in" in the mailcap entry.

I hesitated a bit before categorising this as a security bug.  It could be a
security issue if mailcap consists an entry like "gv -safer %s", where the
mozilla behaviour would effectively remove the -safer flag.  In the end I
decided to call it a security issue, reasoning it is easy to downgrade it if
inappropriate.

Comment 1 Christopher Blizzard 2002-08-29 22:45:49 UTC
Is this still a problem in 1.0.1?

Comment 2 Göran Uddeborg 2002-08-30 22:31:24 UTC
Yes, I still see this with mozilla 1.0.1-10.

(Is it something I should report upstream maybe?)

Comment 3 Göran Uddeborg 2002-09-04 21:09:56 UTC
I checked upstream.  Not surprisingly, it was already reported there.

http://bugzilla.mozilla.org/show_bug.cgi?id=83305

Comment 4 Mark J. Cox 2003-04-23 12:46:00 UTC
This is being fixed (eventually) upstream so will mark this closed.


Note You need to log in before you can comment on or make changes to this bug.